.footer {
    margin-top: 20px;
    width: 100vw;
    background: var(--secondary-background);
    border-top: solid 0.2rem var(--logo-blue);
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-content {
    width: 100%;
    max-width: 1460px;
    padding: 20px 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: calc((100% - 600px) / 2);
    justify-content: center;
    align-items: start;
}

.footer-column {
    display: flex;
    flex-direction: column;
    width: 200px;
}

.footer-column h2 {
    font-family: "e-UkraineHead-Bold", sans-serif;
    font-size: 0.8rem;
    color: var(--accent-color);
    margin-top: .5rem;
}

.footer-column a, .footer-column p {
    font-family: "e-Ukraine-Medium", sans-serif;
    font-size: 0.6rem;
    margin-bottom: 0.5rem;
    color: var(--primary-text);
}

.bottom-block {
    width: 100vw;
    background: var(--logo-blue);
    border-top: solid 0.2rem var(--logo-yellow);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.bottom-block .footer-content {
    justify-content: center;
    align-items: center;
    gap: unset;
}

.logo {
    width: 50%;
    align-items: center;
}

.footer-logo-image {
    width: 50%;
}

.socials {
    width: 50%;
}

.socials .footer-column {
    width: 100%;
    text-align: end;
}

.socials .social-buttons {
    justify-content: end;
}

.bottom-block h2, .bottom-block a, .bottom-block p {
    color: var(--button-text);
}

@media (max-width: 750px) {
    .footer-column {
        width: 100%;
    }
    
    .footer-column h2 {
        font-size: 1.2rem;
    }
    
    .footer-column a, .footer-column p {
        font-size: 0.9rem;
        margin: 10px 0;
    }
    
    .bottom-block .footer-content {
        flex-direction: column;
        gap: 20px;
    }
    
    .logo {
        width: 100%;
    }

    .footer-logo-image {
        width: 90%;
    }
    
    .socials {
        width: 100%;
    }
    
    .socials .footer-column {
        text-align: start;
    }
    
    .socials .social-buttons {
        justify-content: start;
    }
}